"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany
Copyright (C) 2021 LabWare

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License. 

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"
"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_gdb_set
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_gdb_set class methodsFor:'documentation'!

copyright
"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany
Copyright (C) 2021 LabWare

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License. 

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"
!

documentation
"
The `-gdb-set' Command
----------------------

Synopsis
........

      -gdb-set

   Set an internal {No value for `GDBN'} variable.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `set'.

Example
.......

     (gdb)
     -gdb-set $foo=3
     ^done
     (gdb)


"
! !

!GDBMI_gdb_set methodsFor:'accessing'!

operation
	^ 'gdb-set'
! !

!GDBMI_gdb_set methodsFor:'hooks'!

postExecuteIn: debugger result: result 
    result isDone ifTrue: [
        | event |

        event := GDBCmdParamChangedEvent name: arguments first
                value: arguments second.
        debugger push: event.
    ].

    "Created: / 09-03-2021 / 10:46:28 / Jan Vrany <jan.vrany@labware.com>"
! !

